<?php namespace Akami\Shift\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateAkamiShiftContent extends Migration
{
    public function up()
    {
        Schema::create('akami_shift_content', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->string('page');
            $table->text('contents');
            $table->text('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('akami_shift_content');
    }
}
